PRUSA-SLICER(1)

NAME
prusa-slicer - PrusaSlicer prusa-gcodeviewer - Prusa GCode Viewera

SYNOPSIS
prusa-slicer [ ACTIONS ] [ TRANSFORM ] [ OPTIONS ] [ file.stl ... ]

DESCRIPTION
PrusaSlicer based on Slic3r (with GUI support) https://github.com/prusa3d/PrusaSlicer

OPTIONS
Common options are listed here. See SLA OPTIONS and FFF OPTIONS for printer-type-specific options.

  Actions:

--export-3mf
    Export the model(s) as 3MF.

--export-amf
    Export the model(s) as AMF.

--export-gcode, --gcode, -g
    Slice the model and export toolpaths as G-code.

--export-obj
    Export the model(s) as OBJ.

--export-sla, --sla Slice the model and export SLA printing layers as PNG.

--export-stl
    Export the model(s) as STL.

--help, -h
    Show this help.

--help-fff
    Show the full list of print/G-code configuration options.

--help-sla
    Show the full list of SLA print configuration options.

--info
    Write information about the model to the console.

--save ABCD
    Save configuration to the specified file.

--slice, -s
    Slice the model as FFF or SLA based on the printer_technology configuration value.

  Transform options:

--align-xy X,Y
    Align the model to the given point.

--center X,Y
    Center the print around the given center.

--cut N
    Cut model at the given Z.

--dont-arrange
    Do not rearrange the given models before merging and keep their original XY coordinates.

--duplicate N
    Multiply copies by this factor.

--duplicate-grid X,Y
    Multiply copies by creating a grid.

--merge, -m
    Arrange the supplied models in a plate and merge them in a single model in order to perform actions once.

--repair
    Try to repair any non-manifold meshes (this option is implicitly added whenever we need to slice the model to perform the requested action).

--rotate N
    Rotation angle around the Z axis in degrees.

--rotate-x N
    Rotation angle around the X axis in degrees.

--rotate-y N
    Rotation angle around the Y axis in degrees.

--scale N
    Scaling factor or percentage.

--scale-to-fit X,Y,Z
    Scale to fit the given volume.

--split
    Detect unconnected parts in the given model(s) and split them into separate objects.

  Other options:

--datadir ABCD
    Load and store settings at the given directory. This is useful for maintaining different profiles or including configurations from a network storage.

--ignore-nonexistent-config
    Do not fail if a file supplied to --load does not exist.

--load ABCD
    Load configuration from the specified file. It can be used more than once to load options from multiple files.

--loglevel N
    Messages with severity lower or eqal to the loglevel will be printed out. 0:trace, 1:debug, 2:info, 3:warning, 4:error, 5:fatal

--output ABCD, -o ABCD
    The file where the output will be written (if not specified, it will be based on the input file).

Run --help-fff / --help-sla to see the full listing of print options.

  SLA Misc options:

--absolute-correction N
    Will inflate or deflate the sliced 2D polygons according to the sign of the correction. (default: 0)

--area-fill N
    The percentage of the bed area. If the print area exceeds the specified value, then a slow tilt will be used, otherwise - a fast tilt (%, default: 50)

--bed-custom-model ABCD

--bed-custom-texture ABCD

--bed-shape
    (default: 0x0,200x0,200x200,0x200)

--display-height N
    Height of the display (default: 68)

--display-mirror-x
    Enable horizontal mirroring of output images

--display-mirror-y
    Enable vertical mirroring of output images

--display-orientation
    Set the actual LCD display orientation inside the SLA printer. Portrait mode will flip the meaning of display width and height parameters and the output images will be rotated by 90 degrees. (landscape, portrait; default: portrait)

--display-pixels-x N
    Number of pixels in X (default: 2560)

--display-pixels-y N
    Number of pixels in Y (default: 1440)

--display-width N
    Width of the display (default: 120)

--exposure-time N
    Exposure time (s, default: 10)

--faded-layers N
    Number of the layers needed for the exposure time fade from initial exposure time to the exposure time (default: 10)

--fast-tilt-time N
    Time of the fast tilt (s, default: 5)

--gamma-correction N
    This will apply a gamma correction to the rasterized 2D polygons. A gamma value of zero means thresholding with the threshold in the middle. This behaviour eliminates antialiasing without losing holes in polygons. (default: 1)

--initial-exposure-time N
    Initial exposure time (s, default: 15)

--initial-layer-height N
    Initial layer height (mm, default: 0.3)

--material-correction N
    Correction for expansion (default: 1,1)

--material-notes ABCD
    You can put your notes regarding the SLA print material here.

--max-exposure-time N
    Maximum exposure time (s, default: 100)

--max-initial-exposure-time N
    Maximum initial exposure time (s, default: 150)

--max-print-height N
    Set this to the maximum height that can be reached by your extruder while printing. (mm, default: 200)

--min-exposure-time N
    Minimum exposure time (s, default: 0)

--min-initial-exposure-time N
    Minimum initial exposure time (s, default: 0)

--print-host ABCD
    Slic3r can upload G-code files to a printer host. This field should contain the hostname, IP address or URL of the printer host instance.

--printer-technology
    Printer technology (FFF, SLA; default: FFF)

--printhost-apikey ABCD
    Slic3r can upload G-code files to a printer host. This field should contain the API Key or the password required for authentication.

--printhost-cafile ABCD
    Custom CA certificate file can be specified for HTTPS OctoPrint connections, in crt/pem format. If left blank, the default OS CA certificate repository is used.

--relative-correction N
    Printer scaling correction (default: 1,1)

--slow-tilt-time N
    Time of the slow tilt (s, default: 8)

--support-pillar-connection-mode
    Controls the bridge type between two neighboring pillars. Can be zig-zag, cross (double zig-zag) or dynamic which will automatically switch between the first two depending on the distance of the two pillars. (zigzag, cross, dynamic; default: dynamic)

--thumbnails
    (default: )

  Advanced:

--slice-closing-radius N
    Cracks smaller than 2x gap closing radius are being filled during the triangle mesh slicing. The gap closing operation may reduce the final print resolution, therefore it is advisable to keep the value reasonably low. (mm, default: 0.049)

  Layers and Perimeters:

--layer-height N
    This setting controls the height (and thus the total number) of the slices/layers. Thinner layers give better accuracy but take more time to print. (mm, default: 0.3)

  Pad:

--pad-around-object Create pad around object and ignore the support elevation

--pad-enable
    Add a pad underneath the supported model

--pad-max-merge-distance N
    Some objects can get along with a few smaller pads instead of a single big one. This parameter defines how far the center of two smaller pads should be. If theyare closer, they will get merged into one pad. (mm, default: 50)

--pad-object-connector-penetration N
    How much should the tiny connectors penetrate into the model body. (mm, default: 0.3)

--pad-object-connector-stride N
    Distance between two connector sticks which connect the object and the generated pad. (mm, default: 10)

--pad-object-connector-width N
    Width of the connector sticks which connect the object and the generated pad. (mm, default: 0.5)

--pad-object-gap N
    The gap between the object bottom and the generated pad in zero elevation mode. (mm, default: 1)

--pad-wall-height N Defines the pad cavity depth. Set to zero to disable the cavity. Be careful when
    enabling this feature, as some resins may produce an extreme suction effect inside the cavity, which makes peeling the print off the vat foil difficult. (mm, default: 0)

--pad-wall-slope N
    The slope of the pad wall relative to the bed plane. 90 degrees means straight walls. (??, default: 45)

--pad-wall-thickness N
    The thickness of the pad and its optional cavity walls. (mm, default: 2)

  Supports:

--support-base-diameter N
    Diameter in mm of the pillar base (mm, default: 4)

--support-base-height N
    The height of the pillar base cone (mm, default: 1)

--support-base-safety-distance N
    The minimum distance of the pillar base from the model in mm. Makes sense in zero elevation mode where a gap according to this parameter is inserted between the model and the pad. (mm, default: 1)

--support-buildplate-only
    Only create support if it lies on a build plate. Don't create support on a print.

--support-critical-angle N
    The default angle for connecting support sticks and junctions. (??, default: 45)

--support-head-front-diameter N
    Diameter of the pointing side of the head (mm, default: 0.4)

--support-head-penetration N
    How much the pinhead has to penetrate the model surface (mm, default: 0.2)

--support-head-width N
    Width from the back sphere center to the front sphere center (mm, default: 1)

--support-max-bridge-length N
    The max length of a bridge (mm, default: 15)

--support-max-pillar-link-distance N
    The max distance of two pillars to get linked with each other. A zero value will prohibit pillar cascading. (mm, default: 10)

--support-object-elevation N
    How much the supports should lift up the supported object. If "Pad around object" is enabled, this value is ignored. (mm, default: 5)

--support-pillar-diameter N
    Diameter in mm of the support pillars (mm, default: 1)

--support-pillar-widening-factor N
    Merging bridges or pillars into another pillars can increase the radius. Zero means no increase, one means full increase. (default: 0)

--support-points-density-relative N
    This is a relative measure of support points density. (%, default: 100)

--support-points-minimal-distance N
    No support points will be placed closer than this threshold. (mm, default: 1)

--supports-enable
    Generate supports for the models

FFF OPTIONS

  Misc options:

--avoid-crossing-perimeters
    Optimize travel moves in order to minimize the crossing of perimeters. This is mostly useful with Bowden extruders which suffer from oozing. This feature slows down both the print and the G-code generation.

--bed-custom-model ABCD

--bed-custom-texture ABCD

--bed-shape
    (default: 0x0,200x0,200x200,0x200)

--bed-temperature N Bed temperature for layers after the first one. Set this to zero to disable bed
    temperature control commands in the output. (default: 0)

--before-layer-gcode ABCD
    This custom code is inserted at every layer change, right before the Z move. Note that you can use placeholder variables for all Slic3r settings as well as [layer_num] and [layer_z].

--between-objects-gcode ABCD
    This code is inserted between objects when using sequential printing. By default extruder and bed temperature are reset using non-wait command; however if M104, M109, M140 or M190 are detected in this custom code, Slic3r will not add temperature commands. Note that you can use placeholder variables for all Slic3r settings, so you can put a "M109 S[first_layer_temperature]" command wherever you want.

--bridge-acceleration N
    This is the acceleration your printer will use for bridges. Set zero to disable acceleration control for bridges. (mm/s??, default: 0)

--bridge-fan-speed N
    This fan speed is enforced during all bridges and overhangs. (%, default: 100)

--brim-width N
    Horizontal width of the brim that will be printed around each object on the first layer. (mm, default: 0)

--clip-multipart-objects
    When printing multi-material objects, this settings will make Slic3r to clip the overlapping object parts one by the other (2nd part will be clipped by the 1st, 3rd part will be clipped by the 1st and 2nd etc).

--colorprint-heights N
    Heights at which a filament change is to occur. (default: )

--complete-objects
    When printing multiple objects or copies, this feature will complete each object before moving onto next one (and starting it from its bottom layer). This feature is useful to avoid the risk of ruined prints. Slic3r should warn and prevent you from extruder collisions, but beware.

--cooling
    This flag enables the automatic cooling logic that adjusts print speed and fan speed according to layer printing time. (default: 1)

--cooling-tube-length N
    Length of the cooling tube to limit space for cooling moves inside it. (mm, default: 5)

--cooling-tube-retraction N
    Distance of the center-point of the cooling tube from the extruder tip. (mm, default: 91.5)

--default-acceleration N
    This is the acceleration your printer will be reset to after the role-specific acceleration values are used (perimeter/infill). Set zero to prevent resetting acceleration at all. (mm/s??, default: 0)

--deretract-speed N The speed for loading of a filament into extruder after retraction (it only
    applies to the extruder motor). If left to zero, the retraction speed is used. (mm/s, default: 0)

--disable-fan-first-layers N
    You can set this to a positive value to disable fan at all during the first layers, so that it does not make adhesion worse. (layers, default: 3)

--duplicate-distance N
    Distance used for the auto-arrange feature of the plater. (mm, default: 6)

--end-filament-gcode ABCD
    This end procedure is inserted at the end of the output file, before the printer end gcode (and before any toolchange from this filament in case of multimaterial printers). Note that you can use placeholder variables for all PrusaSlicer settings. If you have multiple extruders, the gcode is processed in extruder order. (default: "; Filament-specific end gcode \n;END gcode for filament\n")

--end-gcode ABCD
    This end procedure is inserted at the end of the output file. Note that you can use placeholder variables for all PrusaSlicer settings. (default: M104 S0 ; turn off temperature\nG28 X0 ; home X axis\nM84 ; disable motors\n)

--extra-loading-move N
    When set to zero, the distance the filament is moved from parking position during load is exactly the same as it was moved back during unload. When positive, it is loaded further, if negative, the loading move is shorter than unloading. (mm, default: -2)

--extruder-clearance-height N
    Set this to the vertical distance between your nozzle tip and (usually) the X carriage rods. In other words, this is the height of the clearance cylinder around your extruder, and it represents the maximum depth the extruder can peek before colliding with other printed objects. (mm, default: 20)

--extruder-clearance-radius N
    Set this to the clearance radius around your extruder. If the extruder is not centered, choose the largest value for safety. This setting is used to check for collisions and to display the graphical preview in the plater. (mm, default: 20)

--extruder-colour ABCD
    This is only used in the Slic3r interface as a visual help. (default: "")

--extruder-offset
    If your firmware doesn't handle the extruder displacement you need the G-code to take it into account. This option lets you specify the displacement of each extruder with respect to the first one. It expects positive coordinates (they will be subtracted from the XY coordinate). (mm, default: 0x0)

--extrusion-axis ABCD
    Use this option to set the axis letter associated to your printer's extruder (usually E but some printers use A). (default: E)

--extrusion-multiplier N
    This factor changes the amount of flow proportionally. You may need to tweak this setting to get nice surface finish and correct single wall widths. Usual values are between 0.9 and 1.1. If you think you need to change this more, check filament diameter and your firmware E steps. (default: 1)

--fan-always-on
    If this is enabled, fan will never be disabled and will be kept running at least at its minimum speed. Useful for PLA, harmful for ABS. (default: 0)

--fan-below-layer-time N
    If layer print time is estimated below this number of seconds, fan will be enabled and its speed will be calculated by interpolating the minimum and maximum speeds. (approximate seconds, default: 60)

--filament-colour ABCD
    This is only used in the Slic3r interface as a visual help. (default: #29B2B2)

--filament-cooling-final-speed N
    Cooling moves are gradually accelerating towards this speed. (mm/s, default: 3.4)

--filament-cooling-initial-speed N
    Cooling moves are gradually accelerating beginning at this speed. (mm/s, default: 2.2)

--filament-cooling-moves N
    Filament is cooled by being moved back and forth in the cooling tubes. Specify desired number of these moves. (default: 4)

--filament-cost N
    Enter your filament cost per kg here. This is only for statistical information. (money/kg, default: 0)

--filament-density N
    Enter your filament density here. This is only for statistical information. A decent way is to weigh a known length of filament and compute the ratio of the length to volume. Better is to calculate the volume directly through displacement. (g/cm??, default: 0)

--filament-deretract-speed N
    The speed for loading of a filament into extruder after retraction (it only applies to the extruder motor). If left to zero, the retraction speed is used. (mm/s, default: 0)

--filament-diameter N
    Enter your filament diameter here. Good precision is required, so use a caliper and do multiple measurements along the filament, then compute the average. (mm, default: 1.75)

--filament-load-time N
    Time for the printer firmware (or the Multi Material Unit 2.0) to load a new filament during a tool change (when executing the T code). This time is added to the total print time by the G-code time estimator. (s, default: 0)

--filament-loading-speed N
    Speed used for loading the filament on the wipe tower. (mm/s, default: 28)

--filament-loading-speed-start N
    Speed used at the very beginning of loading phase. (mm/s, default: 3)

--filament-max-volumetric-speed N
    Maximum volumetric speed allowed for this filament. Limits the maximum volumetric speed of a print to the minimum of print and filament volumetric speed. Set to zero for no limit. (mm??/s, default: 0)

--filament-minimal-purge-on-wipe-tower N
    After a tool change, the exact position of the newly loaded filament inside the nozzle may not be known, and the filament pressure is likely not yet stable. Before purging the print head into an infill or a sacrificial object, Slic3r will always prime this amount of material into the wipe tower to produce successive infill or sacrificial object extrusions reliably. (mm??, default: 15)

--filament-notes ABCD
    You can put your notes regarding the filament here. (default: "")

--filament-ramming-parameters ABCD
    This string is edited by RammingDialog and contains ramming specific parameters. (default: "120 100 6.6 6.8 7.2 7.6 7.9 8.2 8.7 9.4 9.9 10.0| 0.05 6.6 0.45 6.8 0.95 7.8 1.45 8.3 1.95 9.7 2.45 10 2.95 7.6 3.45 7.6 3.95 7.6 4.45 7.6 4.95 7.6")

--filament-retract-before-travel N
    Retraction is not triggered when travel moves are shorter than this length. (mm, default: 2)

--filament-retract-before-wipe
    With bowden extruders, it may be wise to do some amount of quick retract before doing the wipe movement. (%, default: 0%)

--filament-retract-layer-change
    This flag enforces a retraction whenever a Z move is done. (default: 0)

--filament-retract-length N
    When retraction is triggered, filament is pulled back by the specified amount (the length is measured on raw filament, before it enters the extruder). (mm (zero to disable), default: 2)

--filament-retract-lift N
    If you set this to a positive value, Z is quickly raised every time a retraction is triggered. When using multiple extruders, only the setting for the first extruder will be considered. (mm, default: 0)

--filament-retract-lift-above N
    If you set this to a positive value, Z lift will only take place above the specified absolute Z. You can tune this setting for skipping lift on the first layers. (mm, default: 0)

--filament-retract-lift-below N
    If you set this to a positive value, Z lift will only take place below the specified absolute Z. You can tune this setting for limiting lift to the first layers. (mm, default: 0)

--filament-retract-restart-extra N
    When the retraction is compensated after the travel move, the extruder will push this additional amount of filament. This setting is rarely needed. (mm, default: 0)

--filament-retract-speed N
    The speed for retractions (it only applies to the extruder motor). (mm/s, default: 40)

--filament-soluble
    Soluble material is most likely used for a soluble support. (default: 0)

--filament-toolchange-delay N
    Time to wait after the filament is unloaded. May help to get reliable toolchanges with flexible materials that may need more time to shrink to original dimensions. (s, default: 0)

--filament-type ABCD
    The filament material type for use in custom G-codes. (PLA, ABS, PET, FLEX, HIPS, EDGE, NGEN, NYLON, PVA, PC, PP, PEI, PEEK, PEKK, POM, PSU, PVDF, SCAFF; default: PLA)

--filament-unload-time N
    Time for the printer firmware (or the Multi Material Unit 2.0) to unload a filament during a tool change (when executing the T code). This time is added to the total print time by the G-code time estimator. (s, default: 0)

--filament-unloading-speed N
    Speed used for unloading the filament on the wipe tower (does not affect initial part of unloading just after ramming). (mm/s, default: 90)

--filament-unloading-speed-start N
    Speed used for unloading the tip of the filament immediately after ramming. (mm/s, default: 100)

--filament-wipe
    This flag will move the nozzle while retracting to minimize the possible blob on leaky extruders. (default: 0)

--first-layer-acceleration N
    This is the acceleration your printer will use for first layer. Set zero to disable acceleration control for first layer. (mm/s??, default: 0)

--first-layer-bed-temperature N
    Heated build plate temperature for the first layer. Set this to zero to disable bed temperature control commands in the output. (default: 0)

--first-layer-speed N
    If expressed as absolute value in mm/s, this speed will be applied to all the print moves of the first layer, regardless of their type. If expressed as a percentage (for example: 40%) it will scale the default speeds. (mm/s or %, default: 30)

--first-layer-temperature N
    Extruder temperature for first layer. If you want to control temperature manually during print, set this to zero to disable temperature control commands in the output file. (default: 200)

--gcode-comments
    Enable this to get a commented G-code file, with each line explained by a descriptive text. If you print from SD card, the additional weight of the file could make your firmware slow down.

--gcode-flavor
    Some G/M-code commands, including temperature control and others, are not universal. Set this option to your printer's firmware to get a compatible output. The "No extrusion" flavor prevents PrusaSlicer from exporting any extrusion value at all. (reprap, repetier, teacup, makerware, marlin, sailfish, mach3, machinekit, smoothie, no-extrusion; default: reprap)

--gcode-label-objects
    Enable this to add comments into the G-Code labeling print moves with what object they belong to, which is useful for the Octoprint CancelObject plugin. This settings is NOT compatible with Single Extruder Multi Material setup and Wipe into Object / Wipe into Infill.

--high-current-on-filament-swap
    It may be beneficial to increase the extruder motor current during the filament exchange sequence to allow for rapid ramming feed rates and to overcome resistance when loading a filament with an ugly shaped tip.

--host-type
    Slic3r can upload G-code files to a printer host. This field must contain the kind of the host. (octoprint, duet; default: octoprint)

--infill-acceleration N
    This is the acceleration your printer will use for infill. Set zero to disable acceleration control for infill. (mm/s??, default: 0)

--infill-first
    This option will switch the print order of perimeters and infill, making the latter first.

--after-layer-gcode ABCD, --layer-gcode ABCD
    This custom code is inserted at every layer change, right after the Z move and before the extruder moves to the first layer point. Note that you can use placeholder variables for all Slic3r settings as well as [layer_num] and [layer_z].

--max-fan-speed N
    This setting represents the maximum speed of your fan. (%, default: 100)

--max-layer-height N
    This is the highest printable layer height for this extruder, used to cap the variable layer height and support layer height. Maximum recommended layer height is 75% of the extrusion width to achieve reasonable inter-layer adhesion. If set to 0, layer height is limited to 75% of the nozzle diameter. (mm, default: 0)

--max-print-height N
    Set this to the maximum height that can be reached by your extruder while printing. (mm, default: 200)

--max-print-speed N When setting other speed settings to 0 Slic3r will autocalculate the optimal
    speed in order to keep constant extruder pressure. This experimental setting is used to set the highest print speed you want to allow. (mm/s, default: 80)

--max-volumetric-speed N
    This experimental setting is used to set the maximum volumetric speed your extruder supports. (mm??/s, default: 0)

--min-fan-speed N
    This setting represents the minimum PWM your fan needs to work. (%, default: 35)

--min-layer-height N
    This is the lowest printable layer height for this extruder and limits the resolution for variable layer height. Typical values are between 0.05 mm and 0.1 mm. (mm, default: 0.07)

--min-print-speed N Slic3r will not scale speed down below this speed. (mm/s, default: 10)

--min-skirt-length N
    Generate no less than the number of skirt loops required to consume the specified amount of filament on the bottom layer. For multi-extruder machines, this minimum applies to each extruder. (mm, default: 0)

--notes ABCD
    You can put here your personal notes. This text will be added to the G-code header comments.

--nozzle-diameter N This is the diameter of your extruder nozzle (for example: 0.5, 0.35 etc.) (mm,
    default: 0.4)

--only-retract-when-crossing-perimeters
    Disables retraction when the travel path does not exceed the upper layer's perimeters (and thus any ooze will be probably invisible).

--ooze-prevention
    This option will drop the temperature of the inactive extruders to prevent oozing. It will enable a tall skirt automatically and move extruders outside such skirt when changing temperatures.

--output-filename-format ABCD
    You can use all configuration options as variables inside this template. For example: [layer_height], [fill_density] etc. You can also use [timestamp], [year], [month], [day], [hour], [minute], [second], [version], [input_filename], [input_filename_base]. (default: [input_filename_base].gcode)

--parking-pos-retraction N
    Distance of the extruder tip from the position where the filament is parked when unloaded. This should match the value in printer firmware. (mm, default: 92)

--perimeter-acceleration N
    This is the acceleration your printer will use for perimeters. A high value like 9000 usually gives good results if your hardware is up to the job. Set zero to disable acceleration control for perimeters. (mm/s??, default: 0)

--post-process ABCD If you want to process the output G-code through custom scripts, just list their
    absolute paths here. Separate multiple scripts with a semicolon. Scripts will be passed the absolute path to the G-code file as the first argument, and they can access the Slic3r config settings by reading environment variables. (default: )

--print-host ABCD
    Slic3r can upload G-code files to a printer host. This field should contain the hostname, IP address or URL of the printer host instance.

--printer-notes ABCD
    You can put your notes regarding the printer here.

--printer-technology
    Printer technology (FFF, SLA; default: FFF)

--printhost-apikey ABCD
    Slic3r can upload G-code files to a printer host. This field should contain the API Key or the password required for authentication.

--printhost-cafile ABCD
    Custom CA certificate file can be specified for HTTPS OctoPrint connections, in crt/pem format. If left blank, the default OS CA certificate repository is used.

--remaining-times
    Emit M73 P[percent printed] R[remaining time in minutes] at 1 minute intervals into the G-code to let the firmware show accurate remaining time. As of now only the Prusa i3 MK3 firmware recognizes M73. Also the i3 MK3 firmware supports M73 Qxx Sxx for the silent mode.

--resolution N
    Minimum detail resolution, used to simplify the input file for speeding up the slicing job and reducing memory usage. High-resolution models often carry more detail than printers can render. Set to zero to disable any simplification and use full resolution from input. (mm, default: 0)

--retract-before-travel N
    Retraction is not triggered when travel moves are shorter than this length. (mm, default: 2)

--retract-before-wipe
    With bowden extruders, it may be wise to do some amount of quick retract before doing the wipe movement. (%, default: 0%)

--retract-layer-change
    This flag enforces a retraction whenever a Z move is done. (default: 0)

--retract-length N
    When retraction is triggered, filament is pulled back by the specified amount (the length is measured on raw filament, before it enters the extruder). (mm (zero to disable), default: 2)

--retract-length-toolchange N
    When retraction is triggered before changing tool, filament is pulled back by the specified amount (the length is measured on raw filament, before it enters the extruder). (mm (zero to disable), default: 10)

--retract-lift N
    If you set this to a positive value, Z is quickly raised every time a retraction is triggered. When using multiple extruders, only the setting for the first extruder will be considered. (mm, default: 0)

--retract-lift-above N
    If you set this to a positive value, Z lift will only take place above the specified absolute Z. You can tune this setting for skipping lift on the first layers. (mm, default: 0)

--retract-lift-below N
    If you set this to a positive value, Z lift will only take place below the specified absolute Z. You can tune this setting for limiting lift to the first layers. (mm, default: 0)

--retract-restart-extra N
    When the retraction is compensated after the travel move, the extruder will push this additional amount of filament. This setting is rarely needed. (mm, default: 0)

--retract-restart-extra-toolchange N
    When the retraction is compensated after changing tool, the extruder will push this additional amount of filament. (mm, default: 0)

--retract-speed N
    The speed for retractions (it only applies to the extruder motor). (mm/s, default: 40)

--serial-port ABCD
    USB/serial port for printer connection.

--serial-speed N
    Speed (baud) of USB/serial port for printer connection. (115200, 250000; default: 250000)

--silent-mode
    The firmware supports stealth mode

--single-extruder-multi-material
    The printer multiplexes filaments into a single hot end.

--single-extruder-multi-material-priming
    If enabled, all printing extruders will be primed at the front edge of the print bed at the start of the print.

--skirt-distance N
    Distance between skirt and object(s). Set this to zero to attach the skirt to the object(s) and get a brim for better adhesion. (mm, default: 6)

--skirt-height N
    Height of skirt expressed in layers. Set this to a tall value to use skirt as a shield against drafts. (layers, default: 1)

--skirts N
    Number of loops for the skirt. If the Minimum Extrusion Length option is set, the number of loops might be greater than the one configured here. Set this to zero to disable skirt completely. (default: 1)

--slowdown-below-layer-time N
    If layer print time is estimated below this number of seconds, print moves speed will be scaled down to extend duration to this value. (approximate seconds, default: 5)

--solid-layers N
    Number of solid layers to generate on top and bottom surfaces.

--spiral-vase
    This feature will raise Z gradually while printing a single-walled object in order to remove any visible seam. This option requires a single perimeter, no infill, no top solid layers and no support material. You can still set any number of bottom solid layers as well as skirt/brim loops. It won't work when printing more than an object.

--standby-temperature-delta N
    Temperature difference to be applied when an extruder is not active. Enables a full-height "sacrificial" skirt on which the nozzles are periodically wiped. (?????C, default: -5)

--start-filament-gcode ABCD
    This start procedure is inserted at the beginning, after any printer start gcode (and after any toolchange to this filament in case of multi-material printers). This is used to override settings for a specific filament. If PrusaSlicer detects M104, M109, M140 or M190 in your custom codes, such commands will not be prepended automatically so you're free to customize the order of heating commands and other custom actions. Note that you can use placeholder variables for all PrusaSlicer settings, so you can put a "M109 S[first_layer_temperature]" command wherever you want. If you have multiple extruders, the gcode is processed in extruder order. (default: "; Filament gcode\n")

--start-gcode ABCD
    This start procedure is inserted at the beginning, after bed has reached the target temperature and extruder just started heating, and before extruder has finished heating. If PrusaSlicer detects M104 or M190 in your custom codes, such commands will not be prepended automatically so you're free to customize the order of heating commands and other custom actions. Note that you can use placeholder variables for all PrusaSlicer settings, so you can put a "M109 S[first_layer_temperature]" command wherever you want. (default: G28 ; home all axes\nG1 Z5 F5000 ; lift nozzle\n)

--temperature N
    Extruder temperature for layers after the first one. Set this to zero to disable temperature control commands in the output. (default: 200)

--threads N
    Threads are used to parallelize long-running tasks. Optimal threads number is slightly above the number of available cores/processors. (default: 4)

--thumbnails
    (default: )

--toolchange-gcode ABCD
    This custom code is inserted before every toolchange. Placeholder variables for all PrusaSlicer settings as well as {previous_extruder} and {next_extruder} can be used. When a tool-changing command which changes to the correct extruder is included (such as T{next_extruder}), PrusaSlicer will emit no other such command. It is therefore possible to script custom behaviour both before and after the toolchange.

--travel-speed N
    Speed for travel moves (jumps between distant extrusion points). (mm/s, default: 130)

--use-firmware-retraction
    This experimental setting uses G10 and G11 commands to have the firmware handle the retraction. This is only supported in recent Marlin.

--use-relative-e-distances
    If your firmware requires relative E values, check this, otherwise leave it unchecked. Most firmwares use absolute values.

--use-volumetric-e
    This experimental setting uses outputs the E values in cubic millimeters instead of linear millimeters. If your firmware doesn't already know filament diameter(s), you can put commands like 'M200 D[filament_diameter_0] T0' in your start G-code in order to turn volumetric mode on and use the filament diameter associated to the filament selected in Slic3r. This is only supported in recent Marlin.

--variable-layer-height
    Some printers or printer setups may have difficulties printing with a variable layer height. Enabled by default.

--wipe
    This flag will move the nozzle while retracting to minimize the possible blob on leaky extruders. (default: 0)

--wipe-tower
    Multi material printers may need to prime or purge extruders on tool changes. Extrude the excess material into the wipe tower.

--wipe-tower-bridging N
    Maximal distance between supports on sparse infill sections. (mm, default: 10)

--wipe-tower-rotation-angle N
    Wipe tower rotation angle with respect to x-axis. (??, default: 0)

--wipe-tower-width N
    Width of a wipe tower (mm, default: 60)

--wipe-tower-x N
    X coordinate of the left front corner of a wipe tower (mm, default: 180)

--wipe-tower-y N
    Y coordinate of the left front corner of a wipe tower (mm, default: 140)

--wiping-volumes-extruders N
    This vector saves required volumes to change from/to each tool used on the wipe tower. These values are used to simplify creation of the full purging volumes below. (default: 70,70,70,70,70,70,70,70,70,70)

--wiping-volumes-matrix N
    This matrix describes volumes (in cubic milimetres) required to purge the new filament on the wipe tower for any given pair of tools.
        (default:
        0,140,140,140,140,140,0,140,140,140,140,140,0,140,140,140,140,140,0,140,140,140,140,140,0)

--z-offset N
    This value will be added (or subtracted) from all the Z coordinates in the output G-code. It is used to compensate for bad Z endstop position: for example, if your endstop zero actually leaves the nozzle 0.3mm far from the print bed, set this to -0.3 (or fix your endstop). (mm, default: 0)

SLA OPTIONS

  Misc options:

--absolute-correction N
    Will inflate or deflate the sliced 2D polygons according to the sign of the correction. (default: 0)

--area-fill N
    The percentage of the bed area. If the print area exceeds the specified value, then a slow tilt will be used, otherwise - a fast tilt (%, default: 50)

--bed-custom-model ABCD

--bed-custom-texture ABCD

--bed-shape
    (default: 0x0,200x0,200x200,0x200)

--display-height N
    Height of the display (default: 68)

--display-mirror-x
    Enable horizontal mirroring of output images

--display-mirror-y
    Enable vertical mirroring of output images

--display-orientation
    Set the actual LCD display orientation inside the SLA printer. Portrait mode will flip the meaning of display width and height parameters and the output images will be rotated by 90 degrees. (landscape, portrait; default: portrait)

--display-pixels-x N
    Number of pixels in X (default: 2560)

--display-pixels-y N
    Number of pixels in Y (default: 1440)

--display-width N
    Width of the display (default: 120)

--exposure-time N
    Exposure time (s, default: 10)

--faded-layers N
    Number of the layers needed for the exposure time fade from initial exposure time to the exposure time (default: 10)

--fast-tilt-time N
    Time of the fast tilt (s, default: 5)

--gamma-correction N
    This will apply a gamma correction to the rasterized 2D polygons. A gamma value of zero means thresholding with the threshold in the middle. This behaviour eliminates antialiasing without losing holes in polygons. (default: 1)

--initial-exposure-time N
    Initial exposure time (s, default: 15)

--initial-layer-height N
    Initial layer height (mm, default: 0.3)

--material-correction N
    Correction for expansion (default: 1,1)

--material-notes ABCD
    You can put your notes regarding the SLA print material here.

--max-exposure-time N
    Maximum exposure time (s, default: 100)

--max-initial-exposure-time N
    Maximum initial exposure time (s, default: 150)

--max-print-height N
    Set this to the maximum height that can be reached by your extruder while printing. (mm, default: 200)

--min-exposure-time N
    Minimum exposure time (s, default: 0)

--min-initial-exposure-time N
    Minimum initial exposure time (s, default: 0)

--print-host ABCD
    Slic3r can upload G-code files to a printer host. This field should contain the hostname, IP address or URL of the printer host instance.

--printer-technology
    Printer technology (FFF, SLA; default: FFF)

--printhost-apikey ABCD
    Slic3r can upload G-code files to a printer host. This field should contain the API Key or the password required for authentication.

--printhost-cafile ABCD
    Custom CA certificate file can be specified for HTTPS OctoPrint connections, in crt/pem format. If left blank, the default OS CA certificate repository is used.

--relative-correction N
    Printer scaling correction (default: 1,1)

--slow-tilt-time N
    Time of the slow tilt (s, default: 8)

--support-pillar-connection-mode
    Controls the bridge type between two neighboring pillars. Can be zig-zag, cross (double zig-zag) or dynamic which will automatically switch between the first two depending on the distance of the two pillars. (zigzag, cross, dynamic; default: dynamic)

--thumbnails
    (default: )

  Advanced:

--slice-closing-radius N
    Cracks smaller than 2x gap closing radius are being filled during the triangle mesh slicing. The gap closing operation may reduce the final print resolution, therefore it is advisable to keep the value reasonably low. (mm, default: 0.049)

  Layers and Perimeters:

--layer-height N
    This setting controls the height (and thus the total number) of the slices/layers. Thinner layers give better accuracy but take more time to print. (mm, default: 0.3)

  Pad:

--pad-around-object Create pad around object and ignore the support elevation

--pad-enable
    Add a pad underneath the supported model

--pad-max-merge-distance N
    Some objects can get along with a few smaller pads instead of a single big one. This parameter defines how far the center of two smaller pads should be. If theyare closer, they will get merged into one pad. (mm, default: 50)

--pad-object-connector-penetration N
    How much should the tiny connectors penetrate into the model body. (mm, default: 0.3)

--pad-object-connector-stride N
    Distance between two connector sticks which connect the object and the generated pad. (mm, default: 10)

--pad-object-connector-width N
    Width of the connector sticks which connect the object and the generated pad. (mm, default: 0.5)

--pad-object-gap N
    The gap between the object bottom and the generated pad in zero elevation mode. (mm, default: 1)

--pad-wall-height N Defines the pad cavity depth. Set to zero to disable the cavity. Be careful when
    enabling this feature, as some resins may produce an extreme suction effect inside the cavity, which makes peeling the print off the vat foil difficult. (mm, default: 0)

--pad-wall-slope N
    The slope of the pad wall relative to the bed plane. 90 degrees means straight walls. (??, default: 45)

--pad-wall-thickness N
    The thickness of the pad and its optional cavity walls. (mm, default: 2)

  Supports:

--support-base-diameter N
    Diameter in mm of the pillar base (mm, default: 4)

--support-base-height N
    The height of the pillar base cone (mm, default: 1)

--support-base-safety-distance N
    The minimum distance of the pillar base from the model in mm. Makes sense in zero elevation mode where a gap according to this parameter is inserted between the model and the pad. (mm, default: 1)

--support-buildplate-only
    Only create support if it lies on a build plate. Don't create support on a print.

--support-critical-angle N
    The default angle for connecting support sticks and junctions. (??, default: 45)

--support-head-front-diameter N
    Diameter of the pointing side of the head (mm, default: 0.4)

--support-head-penetration N
    How much the pinhead has to penetrate the model surface (mm, default: 0.2)

--support-head-width N
    Width from the back sphere center to the front sphere center (mm, default: 1)

--support-max-bridge-length N
    The max length of a bridge (mm, default: 15)

--support-max-pillar-link-distance N
    The max distance of two pillars to get linked with each other. A zero value will prohibit pillar cascading. (mm, default: 10)

--support-object-elevation N
    How much the supports should lift up the supported object. If "Pad around object" is enabled, this value is ignored. (mm, default: 5)

--support-pillar-diameter N
    Diameter in mm of the support pillars (mm, default: 1)

--support-pillar-widening-factor N
    Merging bridges or pillars into another pillars can increase the radius. Zero means no increase, one means full increase. (default: 0)

--support-points-density-relative N
    This is a relative measure of support points density. (%, default: 100)

--support-points-minimal-distance N
    No support points will be placed closer than this threshold. (mm, default: 1)

--supports-enable
    Generate supports for the models